#ifndef CONFIG_CURVE_BLS461_H
#define CONFIG_CURVE_BLS461_H

#include"amcl.h"
#include"config_field_BLS461.h"

// ECP stuff

#define CURVETYPE_BLS461 WEIERSTRASS
#define PAIRING_FRIENDLY_BLS461 BLS

/*
#define CURVETYPE_BLS461 EDWARDS
#define PAIRING_FRIENDLY_BLS461 NOT
*/

#if PAIRING_FRIENDLY_BLS461 != NOT
//#define USE_GLV_BLS461	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_BLS461 /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_BLS461 /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_BLS461 M_TYPE
#define SIGN_OF_X_BLS461 NEGATIVEX

#endif

#endif
