#ifndef CONFIG_CURVE_BRAINPOOL_H
#define CONFIG_CURVE_BRAINPOOL_H

#include"amcl.h"
#include"config_field_BRAINPOOL.h"

// ECP stuff

#define CURVETYPE_BRAINPOOL WEIERSTRASS
#define PAIRING_FRIENDLY_BRAINPOOL NOT

/*
#define CURVETYPE_BRAINPOOL EDWARDS
#define PAIRING_FRIENDLY_BRAINPOOL NOT
*/

#if PAIRING_FRIENDLY_BRAINPOOL != NOT
//#define USE_GLV_BRAINPOOL	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_BRAINPOOL /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_BRAINPOOL /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_BRAINPOOL .
#define SIGN_OF_X_BRAINPOOL .

#endif

#endif
