#ifndef CONFIG_CURVE_FP512BN_H
#define CONFIG_CURVE_FP512BN_H

#include"amcl.h"
#include"config_field_FP512BN.h"

// ECP stuff

#define CURVETYPE_FP512BN WEIERSTRASS
#define PAIRING_FRIENDLY_FP512BN BN

/*
#define CURVETYPE_FP512BN EDWARDS
#define PAIRING_FRIENDLY_FP512BN NOT
*/

#if PAIRING_FRIENDLY_FP512BN != NOT
//#define USE_GLV_FP512BN	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_FP512BN /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_FP512BN /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_FP512BN M_TYPE
#define SIGN_OF_X_FP512BN POSITIVEX

#endif

#endif
