#ifndef CONFIG_CURVE_NUMS256E_H
#define CONFIG_CURVE_NUMS256E_H

#include"amcl.h"
#include"config_field_256PME.h"

// ECP stuff

#define CURVETYPE_NUMS256E EDWARDS
#define PAIRING_FRIENDLY_NUMS256E NOT

/*
#define CURVETYPE_NUMS256E EDWARDS
#define PAIRING_FRIENDLY_NUMS256E NOT
*/

#if PAIRING_FRIENDLY_NUMS256E != NOT
//#define USE_GLV_NUMS256E	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NUMS256E /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NUMS256E /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NUMS256E .
#define SIGN_OF_X_NUMS256E .

#endif

#endif
