#ifndef CONFIG_CURVE_NUMS512E_H
#define CONFIG_CURVE_NUMS512E_H

#include"amcl.h"
#include"config_field_512PM.h"

// ECP stuff

#define CURVETYPE_NUMS512E EDWARDS
#define PAIRING_FRIENDLY_NUMS512E NOT

/*
#define CURVETYPE_NUMS512E EDWARDS
#define PAIRING_FRIENDLY_NUMS512E NOT
*/

#if PAIRING_FRIENDLY_NUMS512E != NOT
//#define USE_GLV_NUMS512E	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NUMS512E /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NUMS512E /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NUMS512E .
#define SIGN_OF_X_NUMS512E .

#endif

#endif
