#ifndef CONFIG_CURVE_NUMS512W_H
#define CONFIG_CURVE_NUMS512W_H

#include"amcl.h"
#include"config_field_512PM.h"

// ECP stuff

#define CURVETYPE_NUMS512W WEIERSTRASS
#define PAIRING_FRIENDLY_NUMS512W NOT

/*
#define CURVETYPE_NUMS512W EDWARDS
#define PAIRING_FRIENDLY_NUMS512W NOT
*/

#if PAIRING_FRIENDLY_NUMS512W != NOT
//#define USE_GLV_NUMS512W	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NUMS512W /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NUMS512W /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NUMS512W .
#define SIGN_OF_X_NUMS512W .

#endif

#endif
