#ifndef CONFIG_CURVE_ANSSI_H
#define CONFIG_CURVE_ANSSI_H

#include"amcl.h"
#include"config_field_ANSSI.h"

// ECP stuff

#define CURVETYPE_ANSSI WEIERSTRASS
#define PAIRING_FRIENDLY_ANSSI NOT

/*
#define CURVETYPE_ANSSI EDWARDS
#define PAIRING_FRIENDLY_ANSSI NOT
*/

#if PAIRING_FRIENDLY_ANSSI != NOT
//#define USE_GLV_ANSSI	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_ANSSI /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_ANSSI /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_ANSSI .
#define SIGN_OF_X_ANSSI .

#endif

#endif
