#ifndef CONFIG_CURVE_C25519_H
#define CONFIG_CURVE_C25519_H

#include"amcl.h"
#include"config_field_25519.h"

// ECP stuff

#define CURVETYPE_C25519 MONTGOMERY
#define PAIRING_FRIENDLY_C25519 NOT

/*
#define CURVETYPE_C25519 EDWARDS
#define PAIRING_FRIENDLY_C25519 NOT
*/

#if PAIRING_FRIENDLY_C25519 != NOT
//#define USE_GLV_C25519	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_C25519 /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_C25519 /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_C25519 .
#define SIGN_OF_X_C25519 .

#endif

#endif
