#ifndef CONFIG_CURVE_ED25519_H
#define CONFIG_CURVE_ED25519_H

#include"amcl.h"
#include"config_field_25519.h"

// ECP stuff

#define CURVETYPE_ED25519 EDWARDS
#define PAIRING_FRIENDLY_ED25519 NOT

/*
#define CURVETYPE_ED25519 EDWARDS
#define PAIRING_FRIENDLY_ED25519 NOT
*/

#if PAIRING_FRIENDLY_ED25519 != NOT
//#define USE_GLV_ED25519	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_ED25519 /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_ED25519 /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_ED25519 .
#define SIGN_OF_X_ED25519 .

#endif

#endif
