#ifndef CONFIG_CURVE_NIST384_H
#define CONFIG_CURVE_NIST384_H

#include"amcl.h"
#include"config_field_NIST384.h"

// ECP stuff

#define CURVETYPE_NIST384 WEIERSTRASS
#define PAIRING_FRIENDLY_NIST384 NOT

/*
#define CURVETYPE_NIST384 EDWARDS
#define PAIRING_FRIENDLY_NIST384 NOT
*/

#if PAIRING_FRIENDLY_NIST384 != NOT
//#define USE_GLV_NIST384	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NIST384 /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NIST384 /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NIST384 .
#define SIGN_OF_X_NIST384 .

#endif

#endif
