#ifndef CONFIG_CURVE_NIST521_H
#define CONFIG_CURVE_NIST521_H

#include"amcl.h"
#include"config_field_NIST521.h"

// ECP stuff

#define CURVETYPE_NIST521 WEIERSTRASS
#define PAIRING_FRIENDLY_NIST521 NOT

/*
#define CURVETYPE_NIST521 EDWARDS
#define PAIRING_FRIENDLY_NIST521 NOT
*/

#if PAIRING_FRIENDLY_NIST521 != NOT
//#define USE_GLV_NIST521	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NIST521 /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NIST521 /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NIST521 .
#define SIGN_OF_X_NIST521 .

#endif

#endif
