#ifndef CONFIG_CURVE_NUMS256W_H
#define CONFIG_CURVE_NUMS256W_H

#include"amcl.h"
#include"config_field_256PMW.h"

// ECP stuff

#define CURVETYPE_NUMS256W WEIERSTRASS
#define PAIRING_FRIENDLY_NUMS256W NOT

/*
#define CURVETYPE_NUMS256W EDWARDS
#define PAIRING_FRIENDLY_NUMS256W NOT
*/

#if PAIRING_FRIENDLY_NUMS256W != NOT
//#define USE_GLV_NUMS256W	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NUMS256W /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NUMS256W /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NUMS256W .
#define SIGN_OF_X_NUMS256W .

#endif

#endif
