#ifndef CONFIG_CURVE_NUMS384E_H
#define CONFIG_CURVE_NUMS384E_H

#include"amcl.h"
#include"config_field_384PM.h"

// ECP stuff

#define CURVETYPE_NUMS384E EDWARDS
#define PAIRING_FRIENDLY_NUMS384E NOT

/*
#define CURVETYPE_NUMS384E EDWARDS
#define PAIRING_FRIENDLY_NUMS384E NOT
*/

#if PAIRING_FRIENDLY_NUMS384E != NOT
//#define USE_GLV_NUMS384E	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NUMS384E /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NUMS384E /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NUMS384E .
#define SIGN_OF_X_NUMS384E .

#endif

#endif
