#ifndef CONFIG_CURVE_NUMS384W_H
#define CONFIG_CURVE_NUMS384W_H

#include"amcl.h"
#include"config_field_384PM.h"

// ECP stuff

#define CURVETYPE_NUMS384W WEIERSTRASS
#define PAIRING_FRIENDLY_NUMS384W NOT

/*
#define CURVETYPE_NUMS384W EDWARDS
#define PAIRING_FRIENDLY_NUMS384W NOT
*/

#if PAIRING_FRIENDLY_NUMS384W != NOT
//#define USE_GLV_NUMS384W	  /**< Note this method is patented (GLV), so maybe you want to comment this out */
//#define USE_GS_G2_NUMS384W /**< Well we didn't patent it :) But may be covered by GLV patent :( */
#define USE_GS_GT_NUMS384W /**< Not patented, so probably safe to always use this */

#define POSITIVEX 0
#define NEGATIVEX 1

#define SEXTIC_TWIST_NUMS384W .
#define SIGN_OF_X_NUMS384W .

#endif

#endif
